package org.jeecg.ctop.finance.policy.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * aaa
 * @author jeecg-boot
 * @date   2021-10-18
 * @version V1.0
 */
@Data
@TableName("ctop_cwjs_sale_assistant_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_cwjs_sale_assistant_info对象", description="销售与销售助理对应关系")
public class CwjsSaleAssistantInfo {
    
	/**id*/
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
	private Integer id;
	/**销售人员id*/
    @ApiModelProperty(value = "销售人员id")
	private String saleId;
	/**销售人员姓名*/
    @ApiModelProperty(value = "销售人员姓名")
	private String saleName;
	/**销售助理id*/
    @ApiModelProperty(value = "销售助理id")
	private String assistantId;
	/**销售助理名称*/
    @ApiModelProperty(value = "销售助理名称")
	private String assistantName;
	/**是否 删除 0-否 1-是*/
    @ApiModelProperty(value = "是否 删除 0-否 1-是")
	private Integer delFlag;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;

	@TableField(exist = false)
    private String nickName;

}
