package org.jeecg.ctop.finance.settlement.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @description: 头条 结算单 汇总页
 * @return:
 * @author: zianY
 */
@Data
public class SheetKuaiShouVo implements Serializable {


    @ApiModelProperty(value = "账户ID")
    private String accountId;
    private String accountName;


    @ApiModelProperty(value = "总花费(元)")
    private BigDecimal dailyCharge;

    @ApiModelProperty(value = "充值花费(元)")
    private BigDecimal realCharged;

    @ApiModelProperty(value = "框返花费(元)")
    private BigDecimal contractRebateRealCharged;

    @ApiModelProperty(value = "激励花费(元)")
    private BigDecimal directRebateRealCharged;

    @ApiModelProperty(value = "转入(元)")
    private BigDecimal dailyTransferIn;

    @ApiModelProperty(value = "转出(元)")
    private BigDecimal dailyTransferOut;

    @ApiModelProperty(value = "日终结余(元)")
    private BigDecimal balance;

    @ApiModelProperty(value = "充值转入(元)")
    private BigDecimal realRecharged;

    @ApiModelProperty(value = "框返转入(元)")
    private BigDecimal contractRebateRealRecharged;

    @ApiModelProperty(value = "激励转入(元)")
    private BigDecimal directRebateRealRecharged;

    private String ksId;


    private String rebateType;
    private String rebateRate;

    private String time;




}