package org.jeecg.ctop.finance.settlement.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.entity.SysUser;
import org.jeecg.common.system.vo.LoginUser;
import org.jeecg.ctop.finance.settlement.entity.pojo.CtopCwjsSettlementFileInfo;
import org.jeecg.ctop.finance.settlement.entity.vo.SettlementFileParamsVo;

import java.util.Map;

public interface ISettlementFileInfoService extends IService<CtopCwjsSettlementFileInfo> {

    Result<PageInfo<Map<String,String>>> getSettlementSheetList(SettlementFileParamsVo paramsVo, Integer pageNo, Integer pageSize);

    Result deleteSettlementFile(SettlementFileParamsVo paramsVo);

    Result insertAccountImages(CtopCwjsSettlementFileInfo settlementFileInfo);

    Result getAccountNumAndImgNum(SettlementFileParamsVo paramsVo, SysUser user);
}
