package org.jeecg.ctop.material.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 盯盘- 账户维度 数据  环形图
 * zian Y
 * 2022/2/16
 **/

@Data
public class KuaiShouAccountPieVo implements Serializable {


    @ApiModelProperty(value = "版位")
    private String adScene;

    @ApiModelProperty(value = "年龄段落")
    private String ageSegment;

    @ApiModelProperty(value = "性别")
    private String gender;

    @ApiModelProperty(value = "花费")
    private Double cost;

    @ApiModelProperty(value = "激活数")
    private Integer activation;

    @ApiModelProperty(value = "激活成本")
    private Double activationPrice;

    @ApiModelProperty(value = "ROI")
    private Double eventPayRoi;

    @ApiModelProperty(value = "付费次数")
    private Integer eventPay;

    @ApiModelProperty(value = "付费成本")
    private Double eventPayCost;

    @ApiModelProperty(value = "首日付费金额")
    private Double eventPayPurchaseAmountFirstDay;

    @ApiModelProperty(value = "次留数")
    private Integer eventNextDayStay;

    @ApiModelProperty(value = "次留")
    private String leave;





}