package org.jeecg.ctop.material.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 盯盘-运营数据 账户维度
 * zian Y
 * 2022/2/16
 **/

@Data
public class KuaiShouOperateAccountVo {


    @ApiModelProperty(value = "账户id")
    private long accountId;
    private String accountName;

    @ApiModelProperty(value = "总花费")
    private Double totalCost;

    private String projectId;
    private String projectName;

    @ApiModelProperty(value = "运营姓名")
    private String userName;
    private String userId;

    @ApiModelProperty(value = "预算")
    private Double warningAmount;

    @ApiModelProperty(value = "余额")
    private Double balance;

    @ApiModelProperty(value = "激活数")
    private Integer activation;

    @ApiModelProperty(value = "激活单价")
    private String activationPrice;

    @ApiModelProperty(value = "次留")
    private String leave;

    @ApiModelProperty(value = "付费次数")
    private Integer eventPay;

    @ApiModelProperty(value = "付费成本")
    private String eventPayCost;

    @ApiModelProperty(value = "付费率")
    private String eventPayRate;

    @ApiModelProperty(value = "新增付费人数")
    private Integer eventNewUserPay;

    @ApiModelProperty(value = "新增付费成本")
    private String eventNewUserPayCost;

    @ApiModelProperty(value = "新增付费率")
    private String eventNewUserPayRate;

    @ApiModelProperty(value = "唤起应用数")
    private Integer eventAppInvoked;

    @ApiModelProperty(value = "唤起应用成本")
    private String eventAppInvokedCost;

    @ApiModelProperty(value = "注册数")
    private Integer eventRegister;

    @ApiModelProperty(value = "注册成本")
    private String eventRegisterCost;

    @ApiModelProperty(value = "关键行为数")
    private Integer keyAction;

    @ApiModelProperty(value = "关键行为成本")
    private String keyActionCost;

    @ApiModelProperty(value = "关键行为率")
    private String keyActionRate;

    @ApiModelProperty(value = "首日付费金额")
    private String eventPayPurchaseAmountFirstDay;

    @ApiModelProperty(value = "首日ROI")
    private String eventPayFirstDayRoi;

    @ApiModelProperty(value = "表单提交数")
    private Integer formCount;

    @ApiModelProperty(value = "表单提交单价")
    private String formCountPrice;

    @ApiModelProperty(value = "有效视频数量")
    private Integer newEffectNum;

    @ApiModelProperty(value = "上新视频数量")
    private Integer newVideoNum;

    @ApiModelProperty(value = "爆款视频数量")
    private Integer newHotNum;

    @ApiModelProperty(value = "封面曝光数")
    private Integer photoShow;

    @ApiModelProperty(value = "封面点击数")
    private Integer photoClick;






    @ApiModelProperty(value = "环比")
    private String yearOnYear;

    @ApiModelProperty(value = "同比")
    private String equallyRate;





}