package cn.com.ctop.common.module.achievements.service;

import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageInfo;
import org.jeecg.common.api.vo.Result;

import java.util.List;
import java.util.Map;

/**
 * 设计人员绩效
 *
 * @author: zian Y
 * @date: 2022-09-28
 * @cersion: V1.0
 */
public interface IDesignerService{


    PageInfo<JSONObject> getDesignBasicsInfoList(String userId, int pageNum, int pageSize);

    List<Map<String,Object>> getHotVideoData(String userId,String yearTime,String monthTime);

    Map<String,Object> getDesignerAchievements(String userId,String yearTime,String monthTime);

    JSONObject getDesignerCommission(String userId,String yearTime,String monthTime);

    Result updateUserHappyProbability(JSONObject jsonObject);

    Result getDesignerBasicsAndHotVideoInfo(String userId,String yearTime,String monthTime,int pageNum,int pageSize);
    Result getDesignerBasicsAndAch(String userId,String yearTime,String monthTime,int pageNum,int pageSize);
    Result getDesignerBasicsAndAchAndComInfo(String userId,String yearTime,String monthTime,int pageNum,int pageSize);



    Result getUserByRoleName(String roleName);

}
