package cn.com.ctop.common.module.mapper;

import cn.com.ctop.common.module.entity.AccountCompensation;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * 账户赔付记录';
 *
 * @author jeecg-boot
 * 2022-09-16
 * @version V1.0
 */
public interface AccountCompensationMapper extends BaseMapper<AccountCompensation> {

    List<JSONObject> getAllOperatorList(List<String> roleCode, String mediaId);

    BigDecimal getCompMoney(@Param("userId") String userId, @Param("startDate") String startDate, @Param("endDate") String endDate);

    JSONObject getAccountUser(@Param("accountId") Long accountId);

    List<JSONObject> queryAccountCompensation(AccountCompensation accountCompensation);
}
