package cn.com.ctop.common.module.utils;

/**
 * 快手 度小满 API接口常量
 */
public class KuaishouDuXiaoManAPIConstant {

    /**
     * 查询渠道
     * GET方式
     */
    public static final String MATERIAL_CHANNEL = "/client/api/material_channel";

    /**
     * 查询通用素材分类
     * GET方式
     */
    public static final String MATERIAL_TYPE = "/client/api/material_type";

    /**
     * 上传单个文件，用于后续提交报备
     * POST方式
     */
    public static final String MATERIAL_UPLOAD = "/client/api/material_upload";

    /**
     * 素材报备
     * POST方式
     */
    public static final String MATERIAL_REPORT = "/client/api/material_report";

    /**
     * 查询报备状态
     * Get方式
     */
    public static final String MATERIAL_DETAIL = "/client/api/material_detail";

    /**
     * 审核图片预览
     * Get方式
     */
    public static final String MATERIAL_BOS = "/client/api/material_bos";

    /**
     * 撤回审核任务
     * POST方式
     */
    public static final String MATERIAL_REVOKE = "/client/api/material_revoke";

    /**
     * 更新任务信息
     * POST方式
     */
    public static final String MATERIAL_UPDATE = "/client/api/material_update";


}
