package cn.com.ctop.kuaishou.modules.ai.mapper;

import cn.com.ctop.kuaishou.modules.ai.entity.AiKuaishouAccountAutoTarget;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 自动投放重构-本地定向表
 *
 * @author jeecg-boot
 * 2021-10-12
 * @version V1.0
 */
public interface AiKuaishouAccountAutoTargetMapper extends BaseMapper<AiKuaishouAccountAutoTarget> {

    List<AiKuaishouAccountAutoTarget> queryPageList(@Param("accountId") Long accountId, @Param("targetName") String targetName,@Param("platformOs") Integer platformOs);

    List<AiKuaishouAccountAutoTarget> getAutoTargetByIds(@Param("ids") List<String> list);
}
