package cn.com.ctop.kuaishou.modules.channel.mapper;

import cn.com.ctop.kuaishou.modules.channel.entity.KuaishouChannelItems;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 渠道号对应单品信息表
 *
 * @author jeecg-boot
 * 2021-08-30
 * @version V1.0
 */
public interface KuaishouChannelItemsMapper extends BaseMapper<KuaishouChannelItems> {

    void replaceBatch(@Param("itemList") List<KuaishouChannelItems> itemList);

    List<JSONObject> queryChannelItemList(KuaishouChannelItems kuaishouChannelItems);

    List<JSONObject> queryAllChannelItemByProjectId(@Param("projectId") Long projectId);

    KuaishouChannelItems queryByProjectIdAndName(@Param("projectId") Long projectId, @Param("itemName") String itemName);

}
