package cn.com.ctop.kuaishou.modules.channel.mapper;

import cn.com.ctop.kuaishou.modules.channel.entity.KuaishouChannelRel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 渠道号绑定关系表
 *
 * @author jeecg-boot
 * 2021-09-06
 * @version V1.0
 */
public interface KuaishouChannelRelMapper extends BaseMapper<KuaishouChannelRel> {

    KuaishouChannelRel queryByAccountChannelCode(@Param("channelCode") String channelCode, @Param("accountId") Long accountId, @Param("appName")  String appName);

    Integer queryUsePlanCount(@Param("accountId") Long accountId, @Param("channelCode") String channelCode);

    Integer queryUseGroupCount(@Param("accountId") Long accountId, @Param("channelCode") String channelCode);
}
