package cn.com.ctop.kuaishou.modules.channel.service.impl;

import cn.com.ctop.kuaishou.modules.channel.entity.KuaishouChannelItems;
import cn.com.ctop.kuaishou.modules.channel.entity.KuaishouChannelItemsRel;
import cn.com.ctop.kuaishou.modules.channel.mapper.KuaishouChannelItemsRelMapper;
import cn.com.ctop.kuaishou.modules.channel.service.IKuaishouChannelItemsRelService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 渠道号和单品关系表
 *
 * @author jeecg-boot
 * 2021-09-06
 * @version V1.0
 */
@Service
public class KuaishouChannelItemsRelServiceImpl extends ServiceImpl<KuaishouChannelItemsRelMapper, KuaishouChannelItemsRel> implements IKuaishouChannelItemsRelService {

    @Autowired
    KuaishouChannelItemsRelMapper channelItemsRelMapper;

    @Override
    public List<KuaishouChannelItems> queryItems(Long channelId) {
        return channelItemsRelMapper.queryItems(channelId);
    }
}
