package cn.com.ctop.common.service;

import cn.com.ctop.common.entity.UserAllocation;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 用户分配
 * @Author: jeecg-boot
 * @Date: 2019-08-08
 * @Version: V1.0
 */
public interface IUserAllocationService extends IService<UserAllocation> {
    IPage<UserAllocation> queryListWithPermission(Integer pageSize, Integer pageNo);

    Map<Long, List<JSONObject>> getAccountListByProjectList(List<JSONObject> projectList,String designUserId);
}
