package org.jeecg.ctop.finance.policy.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.jeecg.ctop.finance.policy.entity.CwjsSaleAssistantInfo;
import org.jeecg.ctop.finance.settlement.entity.pojo.CtopCwjsSettlementInfo;
import org.jeecg.modules.ctop.entity.ProjectMember;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * aaa
 * @author jeecg-boot
 * 2021-10-18
 * @version V1.0
 */
public interface ICwjsSaleAssistantInfoService extends IService<CwjsSaleAssistantInfo> {

    Result getSaleListByUserDepart(String userId);

    List<CwjsSaleAssistantInfo> getCwSaleAndAssistantList(String userId);

    List<String> getCwSaleAndAssistantListStr(String userId);


    Result cwjsParticipateList(ProjectMember projectMember);

}
