package org.jeecg.ctop.finance.policy.service.impl;

import org.jeecg.ctop.finance.policy.entity.CwjsCompanyApprovalUser;
import org.jeecg.ctop.finance.policy.mapper.CwjsCompanyApprovalUserMapper;
import org.jeecg.ctop.finance.policy.service.ICwjsCompanyApprovalUserService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;

/**
 * 政策审核人员配置
 * @author jeecg-boot
 * 2021-08-09
 * @version V1.0
 */
@Service
public class CwjsCompanyApprovalUserServiceImpl extends ServiceImpl<CwjsCompanyApprovalUserMapper, CwjsCompanyApprovalUser> implements ICwjsCompanyApprovalUserService {


    @Resource
    private CwjsCompanyApprovalUserMapper cwjsCompanyApprovalUserMapper;



     /**
     * 根据主体查询 最后一个审核人员
     * @param companySubjectId
     * @return
     */
    @Override
    public CwjsCompanyApprovalUser getEndApprovalUserBySub(Integer companySubjectId) {
        return cwjsCompanyApprovalUserMapper.getEndApprovalUserBySub(companySubjectId);
    }
}
