package org.jeecg.ctop.finance.policy.service.impl;

import org.jeecg.ctop.finance.policy.entity.CwjsPolicyProduct;
import org.jeecg.ctop.finance.policy.mapper.CwjsPolicyProductMapper;
import org.jeecg.ctop.finance.policy.service.ICwjsPolicyProductService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;
import java.util.List;

/**
 * 政策产品关系表
 * @author jeecg-boot
 * 2021-07-28
 * @version V1.0
 */
@Service
public class CwjsPolicyProductServiceImpl extends ServiceImpl<CwjsPolicyProductMapper, CwjsPolicyProduct> implements ICwjsPolicyProductService {
    @Resource
    CwjsPolicyProductMapper policyProductMapper;

    @Override
    public List<CwjsPolicyProduct> queryProductsByPolicyId(Integer policyId){
        return policyProductMapper.queryProductsByPolicyId(policyId);
    }


    @Override
    public void deleteProductsByPolicyId(Integer policyId){
        policyProductMapper.deleteProductsByPolicyId(policyId);
    }
}
