package org.jeecg.ctop.finance.settlement.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @description: 快手 结算单
 * @return:
 * @author: zianY
 */
@Data
public class SettlementReportKuaiShouVo implements Serializable {

    private Long id;
    /**
     * 账户ID
     */
    @ApiModelProperty(value = "账户ID")
    private String accountId;
    private String accountName;
    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    private String date;
    /**
     * 总花费(元)
     */
    @ApiModelProperty(value = "总花费(元)")
    private String dailyCharge;
    /**
     * 充值话费(元)
     */
    @ApiModelProperty(value = "充值花费(元)")
    private String realCharged;
    /**
     * 框返花费(元)
     */
    @ApiModelProperty(value = "框返花费(元)")
    private String contractRebateRealCharged;
    /**
     * 激励花费(元)
     */
    @ApiModelProperty(value = "激励花费(元)")
    private String directRebateRealCharged;
    /**
     * 转入(元)
     */
    @ApiModelProperty(value = "转入(元)")
    private String dailyTransferIn;
    /**
     * 转出(元)
     */
    @ApiModelProperty(value = "转出(元)")
    private String dailyTransferOut;
    /**
     * 日终结余(元)
     */
    @ApiModelProperty(value = "日终结余(元)")
    private String balance;
    /**
     * 充值转入(元)
     */
    @ApiModelProperty(value = "充值转入(元)")
    private String realRecharged;
    /**
     * 框返转入(元)
     */
    @org.jeecgframework.poi.excel.annotation.Excel(name = "框返转入(元)", width = 15)
    @ApiModelProperty(value = "框返转入(元)")
    private String contractRebateRealRecharged;
    /**
     * 激励转入(元)
     */
    @ApiModelProperty(value = "激励转入(元)")
    private String directRebateRealRecharged;

    private String ksId;



}