package org.jeecg.ctop.finance.settlement.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.lettuce.core.dynamic.annotation.Param;
import org.jeecg.ctop.finance.settlement.entity.pojo.CtopCwjsSettlementFileInfo;
import org.jeecg.ctop.finance.settlement.entity.vo.SettlementFileParamsVo;

import java.util.List;
import java.util.Map;


/**
 *
 * @description:
 *
 * @return:
 * @author: zianY
 * @time: 2021/7/28 17:07
 */
public interface SettlementFileInfoMapper extends BaseMapper<CtopCwjsSettlementFileInfo> {

    /**
     *查询 财务结算-结算单列表
     * @param paramsVo
     * @return
     */
    List<Map<String,String>> getSettlementSheetList(SettlementFileParamsVo paramsVo);


    /**
     * 删除
     * @param paramsVo
     * @return
     */
    Integer deleteSettlementFile(SettlementFileParamsVo paramsVo);


    /**
     * 查询图片数量
     * @param paramsVo
     * @return
     */
    Map<String,String> getAccountNumAndImgNum(SettlementFileParamsVo paramsVo);


    /**
     * 查询该账户是否已绑定 或开户
     * @param accountId
     * @return
     */
    Map<String,String> getSettlementAccount(@Param("accountId")String accountId,@Param("mediaId") String mediaId);
}
