package org.jeecg.ctop.material.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 盯盘-运营数据 项目维度
 * zian Y
 * 2022/2/16
 **/

@Data
public class KuaiShouOperateProjectVo {


    @Excel(name = "账户数量")
    @ApiModelProperty(value = "账户数量")
    private Integer accountNum;

    @Excel(name = "总花费")
    @ApiModelProperty(value = "总花费")
    private Double totalCost;

    private String projectId;
    @Excel(name = "项目名称")
    private String projectName;

    @Excel(name = "运营人员")
    @ApiModelProperty(value = "用户数量")
    private Integer userNum;
    private String userId;

    @ApiModelProperty(value = "激活数")
    private Integer activation;

    @ApiModelProperty(value = "激活单价")
    private String activationPrice;

    @ApiModelProperty(value = "次留")
    private String leave;

    @ApiModelProperty(value = "付费次数")
    private Integer eventPay;

    @ApiModelProperty(value = "付费成本")
    private String eventPayCost;

    @ApiModelProperty(value = "付费率")
    private String eventPayRate;

    @ApiModelProperty(value = "新增付费人数")
    private Integer eventNewUserPay;

    @ApiModelProperty(value = "新增付费成本")
    private String eventNewUserPayCost;

    @ApiModelProperty(value = "新增付费率")
    private String eventNewUserPayRate;

    @ApiModelProperty(value = "唤起应用数")
    private Integer eventAppInvoked;

    @ApiModelProperty(value = "唤起应用成本")
    private String eventAppInvokedCost;

    @ApiModelProperty(value = "注册数")
    private Integer eventRegister;

    @ApiModelProperty(value = "注册成本")
    private String eventRegisterCost;

    @ApiModelProperty(value = "关键行为数")
    private Integer keyAction;

    @ApiModelProperty(value = "关键行为成本")
    private String keyActionCost;

    @ApiModelProperty(value = "关键行为率")
    private String keyActionRate;

    @ApiModelProperty(value = "首日付费金额")
    private String eventPayPurchaseAmountFirstDay;

    @ApiModelProperty(value = "首日ROI")
    private String eventPayFirstDayRoi;

    @ApiModelProperty(value = "表单提交数")
    private Integer formCount;

    @ApiModelProperty(value = "表单提交单价")
    private String formCountPrice;

    @ApiModelProperty(value = "有效视频数量")
    private Integer newEffectNum;

    @ApiModelProperty(value = "上新视频数量")
    private Integer newVideoNum;

    @ApiModelProperty(value = "爆款视频数量")
    private Integer newHotNum;


    @Excel(name = "花费环比")
    @ApiModelProperty(value = "环比")
    private String yearOnYear;

    @Excel(name = "花费同比")
    @ApiModelProperty(value = "同比")
    private String equallyRate;


    @Excel(name = "托管基建数")
    @ApiModelProperty(value = "智能托管")
    private Integer trustUnitNum;


    @Excel(name = "基建数")
    @ApiModelProperty(value = "基建数")
    private Integer newUnitNum;

    @Excel(name = "上传助手素材数")
    @ApiModelProperty(value = "上传助手素材数")
    private long adspNum;

    @ApiModelProperty(value = "上传媒体素材数")
    private long mediaNum;

    @ApiModelProperty(value = "版位数据")
    private List<JSONObject> adSceneDate;
    private String jiLishiPin;
    private String kaiPing;
    private String souSuo;
    private String shangXiaHua;
    private String lianMeng;
    private String xinxiLiu;





}