package org.jeecg.ctop.material.service;

import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.api.vo.Result;
import org.jeecg.ctop.material.entity.vo.KuaiShouOperateAccountVo;
import org.jeecg.ctop.material.entity.vo.KuaiShouOperateProjectVo;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 快手-账户操作记录
 */
public interface KuaishouOperationRecordService {

    Result getAllSubordinateAccountByUserId(String userId);

    Result getKuaishouUnitChargeTopTenByAccountId(String userId,long advertiserId,String startTime,String endTime) throws NoSuchFieldException;


    Result getKuaishouOperationRecordByUnit(long advertiserId,long unitId,String startTime,String endTime)throws Exception;


}
