package cn.com.ctop.common.module.mapper;

import cn.com.ctop.common.module.entity.MaterialTagInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 素材标签信息
 * @author: jeecg-boot
 * @date:   2020-08-27
 * @cersion: V1.0
 */
public interface MaterialTagInfoMapper extends BaseMapper<MaterialTagInfo> {

    List<String> getByCode(@Param("signature") String signature);

    void updateBySignature(@Param("signature")String signature,@Param("md5") String md5);
}
