package cn.com.ctop.kuaishou.modules.channel.service.impl;

import cn.com.ctop.common.module.mapper.ProjectMapper;
import cn.com.ctop.kuaishou.modules.channel.entity.KuaishouChannelCreateStrategy;
import cn.com.ctop.kuaishou.modules.channel.mapper.KuaishouChannelCreateStrategyMapper;
import cn.com.ctop.kuaishou.modules.channel.service.IKuaishouChannelCreateStrategyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 渠道号创建策略表
 *
 * @author jeecg-boot
 * 2021-09-01
 * @version V1.0
 */
@Service
public class KuaishouChannelCreateStrategyServiceImpl extends ServiceImpl<KuaishouChannelCreateStrategyMapper, KuaishouChannelCreateStrategy> implements IKuaishouChannelCreateStrategyService {

    @Autowired
    private KuaishouChannelCreateStrategyMapper createStrategyMapper;

    @Override
    public List<Long> queryAllIdByAccountId(Long accountId) {
        return createStrategyMapper.queryAllIdByAccountId(accountId);
    }
}
