package cn.com.ctop.kuaishou.modules.hosting.mapper;

import cn.com.ctop.kuaishou.modules.hosting.entity.KuaishouHostingTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 智能托管-任务详情
 *
 * @author jeecg-boot
 * 2021-11-09
 * @version V1.0
 */
public interface KuaishouHostingTaskMapper extends BaseMapper<KuaishouHostingTask> {

    void addBatch(@Param("addList") List<KuaishouHostingTask> addList);

    void updateStatusById(@Param("id") Long id, @Param("taskStatus") Integer taskStatus, @Param("remarks") String remarks);

    Integer getMaterialType(@Param("photoId") Long photoId);

    void updateInfoById(@Param("id") Long id, @Param("projectId") Long projectId, @Param("campaignId") Long campaignId, @Param("taskStatus") Integer taskStatus, @Param("remarks") String remarks);
}
