package cn.com.ctop.kuaishou.modules.live.service;

import cn.com.ctop.kuaishou.modules.live.entity.LiveDataProvince;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.springframework.web.multipart.MultipartFile;

/**
 * 直播数据——省份人群报表
 *
 * @author jeecg-boot
 * 2022-04-06
 * @version V1.0
 */
public interface ILiveDataProvinceService extends IService<LiveDataProvince> {

    Result<Object> importExcel(Long accountId, String statMonth, MultipartFile file) throws Exception;
}
