package org.jeecg.modules.system.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.system.entity.SysOperateRel;
import org.jeecg.modules.system.mapper.SysOperateRelMapper;
import org.jeecg.modules.system.service.ISysOperateRelService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 助理和运营关系记录表
 *
 * @author jeecg-boot
 * 2022-09-16
 * @version V1.0
 */
@Service
public class SysOperateRelServiceImpl extends ServiceImpl<SysOperateRelMapper, SysOperateRel> implements ISysOperateRelService {

    @Override
    public void add(SysOperateRel sysOperateRel) {
        baseMapper.add(sysOperateRel);
    }

    @Override
    public List<JSONObject> queryPageList(SysOperateRel sysOperateRel) {
        return baseMapper.queryPageList(sysOperateRel);
    }
}
